Subject: Re: bug#38064: Simple Scan: Scanner is not detected

From: Jack Hill <[email-masked]>
Date: Mon, 4 Nov 2019 23:16:09 -0500 (EST)

On Mon, 4 Nov 2019, sirgazil via Bug reports for GNU Guix wrote:

> I can't use the scanner because Simple Scan (a.k.a. Document Scanner) does not detect it.

That's unfortunate. I think the follow information might help in 
troubleshooting:

What scanner is it, and how is it connected (e.g. USB)? What does running 
`scanimage -L` from the terminal report? scanimage can be found in the 
sane-backends package (yes, it contains frontends too :)) I expect this to 
also report no scanners found just like simple-scan, but it's worth 
checking just to be sure.

I've added `(simple-service 'custom-udev-rules udev-service-type (list sane-backends))`
to my system services, which may help the scanning tools have permission
to access your scanner.

Best,
Jack